%{?cygwin_package_header}

Name:		cygwin-e2fsprogs
Version:	1.43.1
Release:	0%{?dist}
Summary:	e2fsprogs
License:	GPLv2+
Group:		Applications/System
Source0:	e2fsprogs-%version.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	cygwin32-filesystem >= 9
BuildRequires:	cygwin32-binutils
BuildRequires:	cygwin32-gcc
BuildRequires:	cygwin32-gettext
BuildRequires:  cygwin32-pkg-config

BuildRequires:	cygwin64-filesystem >= 9
BuildRequires:	cygwin64-binutils
BuildRequires:	cygwin64-gcc
BuildRequires:	cygwin64-gettext
BuildRequires:  cygwin64-pkg-config

%description
Cygwin compiled e2fsprogs.

# Win32
%package -n cygwin32-e2fsprogs
Summary:       Cygwin compiled e2fsprogs for the Win32 target.

%description -n cygwin32-e2fsprogs
Cygwin compiled e2fsprogs for the Win32 target.

# Win64
%package -n cygwin64-e2fsprogs
Summary:       Cygwin compiled e2fsprogs for the Win64 target.

%description -n cygwin64-e2fsprogs
Cygwin compiled e2fsprogs for the Win64 target.


%prep
%setup -q -n e2fsprogs-%{version}

%build
%cygwin_configure --disable-debugfs --disable-imager --disable-resizer --disable-defrag --disable-fsck
%cygwin_make %{?_smp_mflags} libs
%install
rm -rf $RPM_BUILD_ROOT
%cygwin_make install-libs DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{cygwin32_mandir}
rm -rf $RPM_BUILD_ROOT%{cygwin64_mandir}

# Hack for now, otherwise strip fails.
chmod +w $RPM_BUILD_ROOT%{cygwin32_libdir}/*.a
chmod +w $RPM_BUILD_ROOT%{cygwin64_libdir}/*.a

#% clean
#rm -rf $RPM_BUILD_ROOT

%files -n cygwin32-e2fsprogs
%{cygwin32_bindir}/compile_et
%{cygwin32_bindir}/mk_cmds
%{cygwin32_includedir}/blkid/blkid.h
%{cygwin32_includedir}/blkid/blkid_types.h
%{cygwin32_includedir}/com_err.h
%{cygwin32_includedir}/e2p/e2p.h
%{cygwin32_includedir}/et/com_err.h
%{cygwin32_includedir}/ext2fs/bitops.h
%{cygwin32_includedir}/ext2fs/ext2_err.h
%{cygwin32_includedir}/ext2fs/ext2_ext_attr.h
%{cygwin32_includedir}/ext2fs/ext2_fs.h
%{cygwin32_includedir}/ext2fs/ext2fs.h
%{cygwin32_includedir}/ext2fs/ext2_io.h
%{cygwin32_includedir}/ext2fs/ext2_types.h
%{cygwin32_includedir}/ext2fs/ext3_extents.h
%{cygwin32_includedir}/ext2fs/qcow2.h
%{cygwin32_includedir}/ext2fs/tdb.h
%{cygwin32_includedir}/ss/ss_err.h
%{cygwin32_includedir}/ss/ss.h
%{cygwin32_includedir}/uuid/uuid.h
%{cygwin32_libdir}/libblkid.a
%{cygwin32_libdir}/libcom_err.a
%{cygwin32_libdir}/libe2p.a
%{cygwin32_libdir}/libext2fs.a
%{cygwin32_libdir}/libss.a
%{cygwin32_libdir}/libuuid.a
%{cygwin32_libdir}/pkgconfig/blkid.pc
%{cygwin32_libdir}/pkgconfig/com_err.pc
%{cygwin32_libdir}/pkgconfig/e2p.pc
%{cygwin32_libdir}/pkgconfig/ext2fs.pc
%{cygwin32_libdir}/pkgconfig/ss.pc
%{cygwin32_libdir}/pkgconfig/uuid.pc
%{cygwin32_datadir}/et/et_c.awk
%{cygwin32_datadir}/et/et_h.awk
%{cygwin32_datadir}/ss/ct_c.awk
%{cygwin32_datadir}/ss/ct_c.sed

%files -n cygwin64-e2fsprogs
%{cygwin64_bindir}/compile_et
%{cygwin64_bindir}/mk_cmds
%{cygwin64_includedir}/blkid/blkid.h
%{cygwin64_includedir}/blkid/blkid_types.h
%{cygwin64_includedir}/com_err.h
%{cygwin64_includedir}/e2p/e2p.h
%{cygwin64_includedir}/et/com_err.h
%{cygwin64_includedir}/ext2fs/bitops.h
%{cygwin64_includedir}/ext2fs/ext2_err.h
%{cygwin64_includedir}/ext2fs/ext2_ext_attr.h
%{cygwin64_includedir}/ext2fs/ext2_fs.h
%{cygwin64_includedir}/ext2fs/ext2fs.h
%{cygwin64_includedir}/ext2fs/ext2_io.h
%{cygwin64_includedir}/ext2fs/ext2_types.h
%{cygwin64_includedir}/ext2fs/ext3_extents.h
%{cygwin64_includedir}/ext2fs/qcow2.h
%{cygwin64_includedir}/ext2fs/tdb.h
%{cygwin64_includedir}/ss/ss_err.h
%{cygwin64_includedir}/ss/ss.h
%{cygwin64_includedir}/uuid/uuid.h
%{cygwin64_libdir}/libblkid.a
%{cygwin64_libdir}/libcom_err.a
%{cygwin64_libdir}/libe2p.a
%{cygwin64_libdir}/libext2fs.a
%{cygwin64_libdir}/libss.a
%{cygwin64_libdir}/libuuid.a
%{cygwin64_libdir}/pkgconfig/blkid.pc
%{cygwin64_libdir}/pkgconfig/com_err.pc
%{cygwin64_libdir}/pkgconfig/e2p.pc
%{cygwin64_libdir}/pkgconfig/ext2fs.pc
%{cygwin64_libdir}/pkgconfig/ss.pc
%{cygwin64_libdir}/pkgconfig/uuid.pc
%{cygwin64_datadir}/et/et_c.awk
%{cygwin64_datadir}/et/et_h.awk
%{cygwin64_datadir}/ss/ct_c.awk
%{cygwin64_datadir}/ss/ct_c.sed


%changelog
* Mon Aug 15 2016 Christophe GRENIER <grenier@cgsecurity.org> - 1.43.1-0
- First spec file under cygwin
